Ubuntu 16 or 14 LTS XU

Moderators: mdrjr, odroid

Ubuntu 16 or 14 LTS XU

Unread postby yysh12 » Tue Dec 19, 2017 1:42 am

Sorry to post this here, but the moderators didn't reply to a posting by someone else on EOL XU Ubuntu thread. But is there any LTS Ubuntu image for original odroid XU? We are are a bunch of school kids trying to compete in the FRC robotics competition. The team had bought this XU a long time ago and it runs 13.10 Saucy Salamander. We need either 14 LTS or 16 LTS to be able to use the latest packages for openCV and qt. I found the threads with 14 LTS but those links no longer work and I just can't find the right image for this board. Can you guys please help? We can't buy a new board because we literally have no money right now with all the budget cuts at my school and we had spent like $200-300 on this one alone with all the added hardware we bought to make it work on the robot. And once again forgive me for posting here; just really need help.
yysh12
 
Posts: 8
Joined: Mon Dec 18, 2017 2:37 am
languages_spoken: english
ODROIDs: Odroid XU and now also XU4

Re: Ubuntu 16 or 14 LTS XU

Unread postby OverSun » Tue Dec 19, 2017 2:29 am

I'll try to assemble 16.04 LTS for you for XU.
I have one in my drawer and I like people willing to learn.
Just give me an evening, I'll get back here tomorrow with a link

BTW: isn't this one 14.04 available? https://odroid.in/ubuntu_14.04lts/ubunt ... 714.img.xz
User avatar
OverSun
 
Posts: 1347
Joined: Mon Apr 29, 2013 5:12 pm
languages_spoken: english

Re: Ubuntu 16 or 14 LTS XU

Unread postby yysh12 » Tue Dec 19, 2017 4:05 am

Thank you so much!!! And for some reason we missed that link. There was this other one posted in the forum that was dead so I thought they deleted it. But if you could get us 16 that would be great because that will ensure the board is usable by the team past 2019 when 14lts expires. Once again thanks so much!!!
yysh12
 
Posts: 8
Joined: Mon Dec 18, 2017 2:37 am
languages_spoken: english
ODROIDs: Odroid XU and now also XU4

Re: Ubuntu 16 or 14 LTS XU

Unread postby OverSun » Tue Dec 19, 2017 4:09 am

I'll do that, but I'm not sure UI is going to be usable... There could be problems with EGL and X11 drivers, since -XU has really very proprietary video chip and long time unsupported kernel.
User avatar
OverSun
 
Posts: 1347
Joined: Mon Apr 29, 2013 5:12 pm
languages_spoken: english

Re: Ubuntu 16 or 14 LTS XU

Unread postby yysh12 » Tue Dec 19, 2017 4:29 am

Thanks much! And that's fine. We plan on using it on the robot and interfacing via uart or ssh, But is there a way to extract to video drivers from 13 or 14 and apply them to 16?
yysh12
 
Posts: 8
Joined: Mon Dec 18, 2017 2:37 am
languages_spoken: english
ODROIDs: Odroid XU and now also XU4

Re: Ubuntu 16 or 14 LTS XU

Unread postby OverSun » Tue Dec 19, 2017 5:00 am

I'll just upgrade 14 to 16, there is no magic behind that. just write 14 to SD card and do release-upgrade.
I'm not sure drivers from 2014 are going to be good enough for Ubuntu 2016.
For example Ubuntu changed window manager of UI three times in past years, it could be that drivers are fine for X11 version X, but 16 uses either version Y, or Mir, or Xorg, or whatever... And drivers are there, just for different thing.
User avatar
OverSun
 
Posts: 1347
Joined: Mon Apr 29, 2013 5:12 pm
languages_spoken: english

Re: Ubuntu 16 or 14 LTS XU

Unread postby yysh12 » Tue Dec 19, 2017 5:15 am

Oh interesting. Didn't know that was how to upgrade. And ok. That makes sense. In that case the 14 LTS should do the job for now because we can use it for now and then update with do upgrade release before support ends 2019 and then figure out the video driver problem then. Thanks so much for your help man!
yysh12
 
Posts: 8
Joined: Mon Dec 18, 2017 2:37 am
languages_spoken: english
ODROIDs: Odroid XU and now also XU4

Re: Ubuntu 16 or 14 LTS XU

Unread postby yysh12 » Wed Dec 20, 2017 4:02 am

So I successfully managed to flash 14 lts, but when I do do-release-upgrade it says "the required dependency 'apt (>= 1.0.1ubuntu2.13)' is not installed. " I typed apt-get --help and it says current apt is "apt 1.0.1ubuntu2 for armhf". How can I fix this? I tired googling it but manaually reinstalling apt didn't fix the issue either it appears.
yysh12
 
Posts: 8
Joined: Mon Dec 18, 2017 2:37 am
languages_spoken: english
ODROIDs: Odroid XU and now also XU4

Re: Ubuntu 16 or 14 LTS XU

Unread postby OverSun » Wed Dec 20, 2017 4:33 am

you need to add sources for apt update that are now in archive to be also used
go into /etc/apt/ and open sources.list or whatever it is called.
you are going to see there that ports.ubuntu.com is queried for updates, you would need to change that to archive.ubuntu.com
also you would need to add same lines, but for trusty-updates
and then do apt-get update and apt-get upgrade.
this will upgrade all packages in the OS to the latest version and you are ready for dist upgrade.

Long story short, updates for this OS is now in archive and trusty-updates repo is missing in sources.list
User avatar
OverSun
 
Posts: 1347
Joined: Mon Apr 29, 2013 5:12 pm
languages_spoken: english

Re: Ubuntu 16 or 14 LTS XU

Unread postby OverSun » Wed Dec 20, 2017 6:10 am

phew, I can tell you that it doesn't worth it right now.
Ubuntu 16 require kernel options that are not in the -XU kernel, so to make it work properly you need to recompile the kernel and stuff and I'd say this is far too much from what can be considered "worth it".
I'd advice you to keep it 14.04, just add trusty-updates, trusty-security and trusty-backports to your sources.list and keep it updated as it is right now.
When you reeeeeeeeally need something more advance - come back, maybe someone'll have few days to build it all up.
User avatar
OverSun
 
Posts: 1347
Joined: Mon Apr 29, 2013 5:12 pm
languages_spoken: english

Re: Ubuntu 16 or 14 LTS XU

Unread postby yysh12 » Wed Dec 20, 2017 6:50 am

Gotcha. Yeah. I've spent this entire time messing around with sources.list trying to get it to update, but nothing worked. So yeah. Good idea. I will just stick with 14 LTS for now and just get what I need to get done for the robotics competition and then deal with this once 14 reaches EOL. Thanks so much for your help OverSun! We all very much appreciate it!
yysh12
 
Posts: 8
Joined: Mon Dec 18, 2017 2:37 am
languages_spoken: english
ODROIDs: Odroid XU and now also XU4

Re: Ubuntu 16 or 14 LTS XU

Unread postby OverSun » Wed Dec 20, 2017 3:15 pm

Here is sources.list for you, make it like this and do "apt update", "apt upgrade".
This will at least upgrade the version to the latest 14 Trusty.
Code: Select all
deb http://archive.ubuntu.com trusty main universe multiverse restricted
deb-src http://archive.ubuntu.com trusty main universe multiverse restricted
deb http://archive.ubuntu.com trusty-updates main universe multiverse restricted
deb http://archive.ubuntu.com trusty-security main universe multiverse restricted
deb http://archive.ubuntu.com trusty-proposed main universe multiverse restricted
deb http://archive.ubuntu.com trusty-backports main universe multiverse restricted

Maybe some of the will fail, like trusty-updates restricted or something else, just note what has failed and remove this word from the list (like in this case you would need to remove "restricted" word from the line where "trusty-updates" is).
Basically first word is which packages, second word is host, third word is block of updates name and all further words are parts under that block
User avatar
OverSun
 
Posts: 1347
Joined: Mon Apr 29, 2013 5:12 pm
languages_spoken: english

Re: Ubuntu 16 or 14 LTS XU

Unread postby olik79 » Fri Feb 23, 2018 1:20 am

For me, this sources.list worked:

Code: Select all
deb http://ports.ubuntu.com/ubuntu-ports/ trusty main universe multiverse restricted
deb-src http://ports.ubuntu.com/ubuntu-ports/ trusty main universe multiverse restricted
deb http://ports.ubuntu.com/ubuntu-ports/ trusty-updates main universe multiverse restricted
deb http://ports.ubuntu.com/ubuntu-ports/ trusty-security main universe multiverse restricted
deb http://ports.ubuntu.com/ubuntu-ports/ trusty-proposed main universe multiverse restricted
deb http://ports.ubuntu.com/ubuntu-ports/ trusty-backports main universe multiverse restricted


I am now able to install new packages and update existing ones.
olik79
 
Posts: 1
Joined: Fri Feb 23, 2018 1:16 am
languages_spoken: english, german

Re: Ubuntu 16 or 14 LTS XU

Unread postby yysh12 » Sun Mar 25, 2018 5:37 am

Awesome! Thank you guys so much! We got it to work for our competition and were able to successfully create a vision processing system!
yysh12
 
Posts: 8
Joined: Mon Dec 18, 2017 2:37 am
languages_spoken: english
ODROIDs: Odroid XU and now also XU4


Return to Ubuntu

Who is online

Users browsing this forum: No registered users and 2 guests